GNU bug report logs - #34236
scons does not run

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Luther Thompson <lutheroto@HIDDEN>; Done: Ricardo Wurmus <rekado@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34236-done <at> debbugs.gnu.org:


Received: (at 34236-done) by debbugs.gnu.org; 29 Jan 2019 16:22:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 11:22:00 2019
Received: from localhost ([127.0.0.1]:50748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goW9A-0004j2-AY
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 11:22:00 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1goW97-0004is-VV
 for 34236-done <at> debbugs.gnu.org; Tue, 29 Jan 2019 11:21:59 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1548750926; cv=none; d=zoho.com; s=zohoarc; 
 b=eG1xztSwZBUx9DAzwFJjs53b2QzBZFkWphB7auLIrSc/xEJUoBA7+q1p+x2rZAUKbmVaeRTrWG2aDdp4b/teJgNf739voll/ZINBPFzNhnAxo80kgIAsy9dGWsx318pY24CWfvXaKWOk9vAAQ36wW32xXTp7M4OsLsYMypaRIX0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1548750926;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=GtMhOJwIMqaiQ1C8u3RjKMfk6MjfCtqanXoCk2OSkM8=; 
 b=GWn7IyoGy3ZApfWU7L10911YA/peXHCWszILedtPO7q3yrPlid67rR86Dn4OVPADBwiJ9xuxN1c3kPTHoCGJMuYloc5dnCbDfeshseQccEfTlTQJfrsiuqLZcbinx2OeIrKTCkUdGeiE7Nq0kONIGl1b1/yMyt9hpGo6u96akto=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1548750926; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=3473; bh=GtMhOJwIMqaiQ1C8u3RjKMfk6MjfCtqanXoCk2OSkM8=;
 b=aRTnDsCj5u7a1/26Arqfa38MX3jXjvS2jgRQgdPj1eBLaVUdIYiWIz0ORKgvLV0A
 GaSJXqmTjZ8otKrjeXvG4agosa588DLH57olp5yG8VMiOpKOlJWaVgVk8oXHWjXfFbU
 qeXJHdg+YytdQD08IEzbdw19wzcpbOOB4g6BbS3U=
Received: from localhost (p578E6B40.dip0.t-ipconnect.de [87.142.107.64]) by
 mx.zohomail.com with SMTPS id 1548750923732844.1282332932958;
 Tue, 29 Jan 2019 00:35:23 -0800 (PST)
References: <20190128134210.002ead1f@HIDDEN> <87ef8wr40m.fsf@HIDDEN>
 <20190128190322.672305da@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Luther Thompson <lutheroto@HIDDEN>
Subject: Re: bug#34236: scons does not run
In-reply-to: <20190128190322.672305da@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 29 Jan 2019 09:35:19 +0100
Message-ID: <87a7jjrhdk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34236-done
Cc: 34236-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Luther,

> On Mon, 28 Jan 2019 20:11:37 +0100
> Ricardo Wurmus <rekado@HIDDEN> wrote:
>
>> Luther Thompson <lutheroto@HIDDEN> writes:
>>=20
>> > scons refuses to run on my system. When I run it with or without a
>> > SConscript file, I get this error message:[=E2=80=A6]=20=20
>>=20
>> This should now be fixed with commit ad34338d1.
>
> I'm still getting errors similar to before. When I use an empty
> SConscript, I get this output:
>
> ---BEGIN---
> scons: Reading SConscript files ...
> scons: done reading SConscript files.
> TypeError: a bytes-like object is required, not 'str':
>   File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Script/Main.py",
> line 1374: _exec_main(parser, values) File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Script/Main.py",
> line 1337: _main(parser) File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Script/Main.py",
> line 1103: platform =3D SCons.Platform.platform_module() File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Platform/__init__.py",
> line 107: mod =3D imp.load_module(full_name, file, path, desc) File
> "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/i=
mp.py",
> line 235: return load_source(name, filename, file) File
> "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/i=
mp.py",
> line 172: module =3D _load(spec) File "<frozen importlib._bootstrap>",
> line 696:=20
>   File "<frozen importlib._bootstrap>", line 677:
>=20=20=20=20=20
>   File "<frozen importlib._bootstrap_external>", line 724:
>=20=20=20=20=20
>   File "<frozen importlib._bootstrap_external>", line 838:
> ---END---
>
> If I add only the statement `Environment()` to the SConscript, I get
> this output:
>
> ---BEGIN---
> scons: Reading SConscript files ...
> TypeError: a bytes-like object is required, not 'str':
>   File "/home/luther/test/SConstruct", line 1:
>     Environment()
>   File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Environment.py",
> line 939: platform =3D SCons.Platform.Platform() File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Platform/__init__.py",
> line 263: module =3D platform_module(name) File
> "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/=
Platform/__init__.py",
> line 107: mod =3D imp.load_module(full_name, file, path, desc) File
> "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/i=
mp.py",
> line 235: return load_source(name, filename, file) File
> "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/i=
mp.py",
> line 172: module =3D _load(spec) File "<frozen importlib._bootstrap>",
> line 696:=20
>   File "<frozen importlib._bootstrap>", line 677:
>=20=20=20=20=20
>   File "<frozen importlib._bootstrap_external>", line 724:
>=20=20=20=20=20
>   File "<frozen importlib._bootstrap_external>", line 838:
> ---END---
>
> When I run scons without a SConscript, I get the normal "No SConstruct
> file found" message.
>
> I've already tried rebooting.

I guess we=E2=80=99ll also need to patch =E2=80=9Clib/scons/SCons/Platform/=
__init__.py=E2=80=9D
in the same manner then.

Could you tell me how I should run scons to reproduce this issue?  (I
don=E2=80=99t know anything about scons.)

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#34236; Package guix. Full text available.

Message received at 34236 <at> debbugs.gnu.org:


Received: (at 34236) by debbugs.gnu.org; 29 Jan 2019 02:53:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 21:53:07 2019
Received: from localhost ([127.0.0.1]:49653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goJWM-0006H9-Pd
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 21:53:07 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1goJWJ-0006Gx-Oz
 for 34236 <at> debbugs.gnu.org; Mon, 28 Jan 2019 21:53:04 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1548702406; cv=none; d=zoho.com; s=zohoarc; 
 b=ADCMSavYDRpZCbPzhXOootLMonmnUYI55GVIYheM6cDZgtwbkMqOlERHygnjGaG3gXzc0ttPGzWjpapwyP1+LnKhj1+pY0LBJdQVWxpoAFtb84weBqoYRfrh3a7BTl15IW5mduBjwqETp8VMrNqjHFehTNdokR9GYHOnfv2X3BE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1548702406;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ESLz8djcRc191y0wj3IkRaKyELIr4x/gcNxNLBfvH1M=; 
 b=YRaDJmrFVFIIippUrBKGHsmN9MHTdqmkXa8K1rTTehq7Ol5P81ZAgTjIoomrqzWo7l/O47Q9O/rF0UoQ/3ui209qJN/blzJmx1dDrnuJZbXVhHtCt7sZWrqmQ/FkbogjdN4yYRDPfnGP5TaeS+UMiM0UlJO41I4XGlnkyyVWirg=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1548702406; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1724; bh=ESLz8djcRc191y0wj3IkRaKyELIr4x/gcNxNLBfvH1M=;
 b=LBJak1DDBCy5kdFVNCVggucJYll/7licNoqlLDlIJ3iXL41UHESbA2JHYMXcQCxE
 KLPCJMos6lThZbR/wb1HsnmD1+BQaL7Pc30cgxJmQAMViicVxs8nGqlNri4/aeBN3jI
 V0jB6A9DZgj43U6Le7vkMYU9gikZlb+sDlsCpKK0=
Received: from localhost (p578E6A22.dip0.t-ipconnect.de [87.142.106.34]) by
 mx.zohomail.com with SMTPS id 1548702405341244.0908099343867;
 Mon, 28 Jan 2019 11:06:45 -0800 (PST)
References: <20190128134210.002ead1f@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Luther Thompson <lutheroto@HIDDEN>
Subject: Re: bug#34236: scons does not run
In-reply-to: <20190128134210.002ead1f@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 28 Jan 2019 20:06:41 +0100
Message-ID: <87fttcr48u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34236
Cc: 34236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Luther,

> scons refuses to run on my system. When I run it with or without a
> SConscript file, I get this error message:
>
> ---BEGIN---
> Traceback (most recent call last):
>   File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/bin/.scon=
s-real", line 192, in <module>
>     import SCons.Script
>   File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons=
-3.0.1/SCons/__init__.py", line 43, in <module>
>     import SCons.compat
>   File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons=
-3.0.1/SCons/compat/__init__.py", line 105, in <module>
>     rename_module('profile', 'cProfile')
>   File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons=
-3.0.1/SCons/compat/__init__.py", line 84, in rename_module
>     sys.modules[new] =3D imp.load_module(old, *imp.find_module(old))
>   File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/pyth=
on3.7/imp.py", line 235, in load_module
>     return load_source(name, filename, file)
>   File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/pyth=
on3.7/imp.py", line 172, in load_source
>     module =3D _load(spec)
>   File "<frozen importlib._bootstrap>", line 696, in _load
>   File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
>   File "<frozen importlib._bootstrap_external>", line 724, in exec_module
>   File "<frozen importlib._bootstrap_external>", line 838, in get_code
> TypeError: a bytes-like object is required, not 'str'
> ---END---
>
> I have a hunch that this is caused by a missing environment variable,
> but I don't know where to go from there.

I=E2=80=99m currently working on upgrading Scons.  I patched Scons to avoid=
 this
error.

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#34236; Package guix. Full text available.

Message received at 34236-done <at> debbugs.gnu.org:


Received: (at 34236-done) by debbugs.gnu.org; 29 Jan 2019 00:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 19:03:38 2019
Received: from localhost ([127.0.0.1]:49616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goGsL-0002LK-Ow
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 19:03:38 -0500
Received: from mail-yw1-f53.google.com ([209.85.161.53]:33296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lutheroto@HIDDEN>) id 1goGsK-0002L8-CW
 for 34236-done <at> debbugs.gnu.org; Mon, 28 Jan 2019 19:03:37 -0500
Received: by mail-yw1-f53.google.com with SMTP id p65so7528865ywe.0
 for <34236-done <at> debbugs.gnu.org>; Mon, 28 Jan 2019 16:03:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4vLQB4Wg5pDAcsTZnIurzayQ4FRQUBQKYDgzGso4Nls=;
 b=oIObeUxT8FxFWojWOAQU0ImEHN6UbD1tSY6XTH3G7a42ouWNXtwG5TBJaJzoxHtuHs
 ZtnthfUGCuq5MRlzgnk49o9MVSbI8S9rsV7fBN2HHtnEgoNtYg/WnbQUKIjpluLmXb7s
 4gWWCqnBL1bS225iyjXG9nrybTa80jrtsTrYVyqTogfVVLqiXEoAyyUOq6RuqdHsQvdw
 9Ytx9soXh1YcpzrVxZeRNr0aXl0zAoAXg3wvE/raINCjWB5d+JudIYENaUWJ+01tSsdz
 bEEPYb1oiCuyXJcBrwEpXC/SAyogWcdfj8asDLprvirrHlExCKAd/+2GPWS6Sz3XrOwb
 bAXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4vLQB4Wg5pDAcsTZnIurzayQ4FRQUBQKYDgzGso4Nls=;
 b=m5fR1XqREHkk+eBXIsretCkYMR19iGf5mbwUWX3eblzfIUc5ydHO2dkjbmziESexN+
 mc8/k1jGQHGVjsxIyOoKw6msa446aVxDbpZ1C7bV5FFe7PP0DB6CmEtOPDq0IT7USkml
 kUeQkDdExgjjLj32zMvYXnFn6TxvoD/o/5WaB1hQa9UVhvPXd6BSkyDCw0Y6aHt8JDp7
 QqOYM4JNUVwpiNgNkG4hYVCvhs280yZ4wNTPwpwOOruYiT4YBRooRHH1hUYLvd2FsVOS
 eh+xyWVRt1A4FTxiiF8QeXG1Y/2S7A+ZfSqD/OYmnh81bKkFYfTmOdMjAktzE/ERZow8
 ulaw==
X-Gm-Message-State: AJcUukcblFBp/SLWSGrhfhZNmTRWcP5aBoqfg6za6k1HSoMGBMD5VC9T
 Ipu5msEN9m23yW0S7HOvyBk=
X-Google-Smtp-Source: ALg8bN5/7Y0h6miuRm6TJ1FR3W3ktOXJqMHYCsyAC2q9BI54+HWjyFdO3+b8iCRACD0Qs/k5ggp5dg==
X-Received: by 2002:a81:b641:: with SMTP id h1mr14913252ywk.112.1548720210457; 
 Mon, 28 Jan 2019 16:03:30 -0800 (PST)
Received: from localhost ([2601:c6:cf00:1c9::9cc6])
 by smtp.gmail.com with ESMTPSA id x35sm3503097ywj.88.2019.01.28.16.03.30
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 Jan 2019 16:03:30 -0800 (PST)
Date: Mon, 28 Jan 2019 19:03:22 -0500
From: Luther Thompson <lutheroto@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#34236: scons does not run
Message-ID: <20190128190322.672305da@HIDDEN>
In-Reply-To: <87ef8wr40m.fsf@HIDDEN>
References: <20190128134210.002ead1f@HIDDEN>
	<87ef8wr40m.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34236-done
Cc: 34236-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 28 Jan 2019 20:11:37 +0100
Ricardo Wurmus <rekado@HIDDEN> wrote:

> Luther Thompson <lutheroto@HIDDEN> writes:
>=20
> > scons refuses to run on my system. When I run it with or without a
> > SConscript file, I get this error message:[=E2=80=A6] =20
>=20
> This should now be fixed with commit ad34338d1.

I'm still getting errors similar to before. When I use an empty
SConscript, I get this output:

---BEGIN---
scons: Reading SConscript files ...
scons: done reading SConscript files.
TypeError: a bytes-like object is required, not 'str':
  File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Sc=
ript/Main.py",
line 1374: _exec_main(parser, values) File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Sc=
ript/Main.py",
line 1337: _main(parser) File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Sc=
ript/Main.py",
line 1103: platform =3D SCons.Platform.platform_module() File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Pl=
atform/__init__.py",
line 107: mod =3D imp.load_module(full_name, file, path, desc) File
"/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp=
.py",
line 235: return load_source(name, filename, file) File
"/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp=
.py",
line 172: module =3D _load(spec) File "<frozen importlib._bootstrap>",
line 696:=20
  File "<frozen importlib._bootstrap>", line 677:
   =20
  File "<frozen importlib._bootstrap_external>", line 724:
   =20
  File "<frozen importlib._bootstrap_external>", line 838:
---END---

If I add only the statement `Environment()` to the SConscript, I get
this output:

---BEGIN---
scons: Reading SConscript files ...
TypeError: a bytes-like object is required, not 'str':
  File "/home/luther/test/SConstruct", line 1:
    Environment()
  File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/En=
vironment.py",
line 939: platform =3D SCons.Platform.Platform() File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Pl=
atform/__init__.py",
line 263: module =3D platform_module(name) File
"/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Pl=
atform/__init__.py",
line 107: mod =3D imp.load_module(full_name, file, path, desc) File
"/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp=
.py",
line 235: return load_source(name, filename, file) File
"/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp=
.py",
line 172: module =3D _load(spec) File "<frozen importlib._bootstrap>",
line 696:=20
  File "<frozen importlib._bootstrap>", line 677:
   =20
  File "<frozen importlib._bootstrap_external>", line 724:
   =20
  File "<frozen importlib._bootstrap_external>", line 838:
---END---

When I run scons without a SConscript, I get the normal "No SConstruct
file found" message.

I've already tried rebooting.

Luther




Information forwarded to bug-guix@HIDDEN:
bug#34236; Package guix. Full text available.

Message received at 34236-done <at> debbugs.gnu.org:


Received: (at 34236-done) by debbugs.gnu.org; 28 Jan 2019 19:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 14:11:52 2019
Received: from localhost ([127.0.0.1]:49523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goCK0-0003mi-E8
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 14:11:52 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1goCJx-0003mX-1B
 for 34236-done <at> debbugs.gnu.org; Mon, 28 Jan 2019 14:11:49 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1548702703; cv=none; d=zoho.com; s=zohoarc; 
 b=kVPcns7sSEFNzhEN3iWEe5fAXHPd1uCrvyhoPOplI4lE90Rxo+wdviQeFv5sDCOshLUJLVTDx9nFfABRgjzntFLod5mryIkV2Wsu1dmdUft61F0R8GB6GuwIE3v4P2jRFC74SY0W4sdQqeCUAeRr6v9+IMNpS3g1zqHmd+wmw3E=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1548702703;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=z3P+CIoTUPE8102+SUvab9/rBO8ASZ87Ax4puUGDtzA=; 
 b=fKsM6dOuSbKwIagPY18zIVS4lPZf7wivhd9SS4hjfOXN+eiKaSPNDX7RCm0rPSJr4jY66x6Zi1vf3F/ecxFPnIJKScSQSwuVIS52Cy6ebfygCb1dXgqGa6DgJ7Mh9sJ/rbcEF3XpJrwU/G6oZttmwyXZg6pQECElyn6P1zs8FsE=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1548702703; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=247; bh=z3P+CIoTUPE8102+SUvab9/rBO8ASZ87Ax4puUGDtzA=;
 b=M6o6WLLnhfelzfNDY5+lt4Yu/Y9i/N90PKBg6hWFdGJ1rORDwX7SY66L4da6Hfoa
 fzNW8yv3aq6+lkc9QndkFh5Hm5QLhneNajHxWbadsRDuybcJWFEEIIfWLIt0HffKSVb
 XRziIPVCNoL66p2yyhLG/1vc1zG4fhh1oYAHTTaU=
Received: from localhost (p578E6A22.dip0.t-ipconnect.de [87.142.106.34]) by
 mx.zohomail.com with SMTPS id 1548702701224257.3358624674321;
 Mon, 28 Jan 2019 11:11:41 -0800 (PST)
References: <20190128134210.002ead1f@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Luther Thompson <lutheroto@HIDDEN>
Subject: Re: bug#34236: scons does not run
In-reply-to: <20190128134210.002ead1f@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 28 Jan 2019 20:11:37 +0100
Message-ID: <87ef8wr40m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34236-done
Cc: 34236-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Luther Thompson <lutheroto@HIDDEN> writes:

> scons refuses to run on my system. When I run it with or without a
> SConscript file, I get this error message:[=E2=80=A6]

This should now be fixed with commit ad34338d1.

--=20
Ricardo





Notification sent to Luther Thompson <lutheroto@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ricardo Wurmus <rekado@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2019 18:42:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 13:42:58 2019
Received: from localhost ([127.0.0.1]:49508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goBs2-00033Z-Ai
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 13:42:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lutheroto@HIDDEN>) id 1goBs0-00033N-K4
 for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 13:42:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:38347)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lutheroto@HIDDEN>) id 1goBrv-00076J-5R
 for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 13:42:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51899)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lutheroto@HIDDEN>) id 1goBru-0003r3-1i
 for bug-guix@HIDDEN; Mon, 28 Jan 2019 13:42:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lutheroto@HIDDEN>) id 1goBrt-00074N-9c
 for bug-guix@HIDDEN; Mon, 28 Jan 2019 13:42:49 -0500
Received: from mail-yb1-xb2e.google.com ([2607:f8b0:4864:20::b2e]:43832)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <lutheroto@HIDDEN>) id 1goBrt-0006yJ-1E
 for bug-guix@HIDDEN; Mon, 28 Jan 2019 13:42:49 -0500
Received: by mail-yb1-xb2e.google.com with SMTP id e12so7105531ybn.10
 for <bug-guix@HIDDEN>; Mon, 28 Jan 2019 10:42:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=+t3I3MtM5tB0klzDqHi+HiS1oTZ6KLAWcOhfzTMwzQE=;
 b=EzlaepNeEWwTgT4JA1rUQyJYoyQKTvS1v+n9vsEAXnepxsiPK5QvQi0GcL9vKigsWc
 yTx1enhibZ5z4OzCHKhEePCK3FXJw0cobYTYHB5fs1W5xe/rtgC1Ys8xb9utR6r7epLA
 N45UDg8Jmbms2WhZnY2Q7Gt3pPVAZVzvCyWNDRMnuz3tmsn70BdFzJ+ffTgp1SOKM/mG
 mdpQG9Ni8UE8QrnkEGdNlgMH2GppeczyK7nSiFZQ3nqvY1MC0gxV7gYM90B5LXIPaIPK
 +tZMpTmj2nsPYRRO/cDLpMT/XtGmYETSqaFcu51pd6PkoNYNbtnfcFZBIrEye/QIeHMH
 oHUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=+t3I3MtM5tB0klzDqHi+HiS1oTZ6KLAWcOhfzTMwzQE=;
 b=sv3+IDr2IwvoNzUk8zh31tHWze2pwarm9D7+TAdAXxWpj+mObmq7AdC31CPS++eecX
 DBCAcbJEvuomOVVK/LzSx1eaPw9fhzkKqEnM4FGx/8uIpb5wzoKHtFkIM5O3QDWX170l
 /8OvX6/QwyNrmlDeWc0fbWe+Wsyo30vdXodh829uoaxYWii3Ycjen+vtBJWh2VY9KGKJ
 0IqLICsdczO64n5xw8h0sSXGcpXuXGSUErs/IxmVM/djIKYRWdwe6WhwkDlrGDB40bXx
 RkRl9yidnG9Q8nlNHPVBZnphRVPXw4s/BLWEAEhSIFuoSE5JKEuiQYKTm+aCni1DuDzz
 gpPQ==
X-Gm-Message-State: AJcUukcr778YfJO/ZJVh/sj89ke3tQ9CvtdQiHlBSPTMC5NMcRaI72Bf
 wWYJzyV6rzmdVssjwWRQfwAbwtPMEso=
X-Google-Smtp-Source: ALg8bN4JA/OkYGq08LFbj4MTu8zE+4Mk35a725LkreKpo0NYks9DKxDE81Geh1C9mMIKBjQPQSCt7g==
X-Received: by 2002:a25:31c4:: with SMTP id
 x187mr21321738ybx.485.1548700951427; 
 Mon, 28 Jan 2019 10:42:31 -0800 (PST)
Received: from localhost ([2601:c6:cf00:1c9::9cc6])
 by smtp.gmail.com with ESMTPSA id q24sm14110785ywa.95.2019.01.28.10.42.31
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 Jan 2019 10:42:31 -0800 (PST)
Date: Mon, 28 Jan 2019 13:42:22 -0500
From: Luther Thompson <lutheroto@HIDDEN>
To: bug-guix@HIDDEN
Subject: scons does not run
Message-ID: <20190128134210.002ead1f@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::b2e
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

scons refuses to run on my system. When I run it with or without a
SConscript file, I get this error message:

---BEGIN---
Traceback (most recent call last):
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/bin/.scons-real", line 192, in <module>
    import SCons.Script
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/__init__.py", line 43, in <module>
    import SCons.compat
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/compat/__init__.py", line 105, in <module>
    rename_module('profile', 'cProfile')
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/compat/__init__.py", line 84, in rename_module
    sys.modules[new] = imp.load_module(old, *imp.find_module(old))
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 235, in load_module
    return load_source(name, filename, file)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 172, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 696, in _load
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 724, in exec_module
  File "<frozen importlib._bootstrap_external>", line 838, in get_code
TypeError: a bytes-like object is required, not 'str'
---END---

I have a hunch that this is caused by a missing environment variable,
but I don't know where to go from there.

Luther




Acknowledgement sent to Luther Thompson <lutheroto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34236; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Jan 2019 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.